Support » Plugin: Polylang » undefined constant

  • Hi. I have a lot of this warning in the server error log

    Backend log: PHP Warning: Use of undefined constant ICL_LANGUAGE_CODE - assumed 'ICL_LANGUAGE_CODE' (this will throw an Error in a future version of PHP)

    How to get rid of it, please?
    Thanks.

Viewing 8 replies - 1 through 8 (of 8 total)
  • I also have some errors after install Polylang and can’t solved if I deleted the plugin.

    Warning: Use of undefined constant ICL_LANGUAGE_CODE – assumed ‘ICL_LANGUAGE_CODE’ (this will throw an Error in a future version of PHP) in /home/organich/www/www/wp-content/plugins/dc-woocommerce-multi-vendor/includes/wcmp-core-functions.php on line 324

    Warning: Use of undefined constant ICL_LANGUAGE_CODE – assumed ‘ICL_LANGUAGE_CODE’ (this will throw an Error in a future version of PHP) in /home/organich/www/www/wp-content/plugins/dc-woocommerce-multi-vendor/includes/wcmp-core-functions.php on line 324

    Warning: Use of undefined constant ICL_LANGUAGE_CODE – assumed ‘ICL_LANGUAGE_CODE’ (this will throw an Error in a future version of PHP) in /home/organich/www/www/wp-content/plugins/dc-woocommerce-multi-vendor/includes/wcmp-core-functions.php on line 324

    Warning: Cannot modify header information – headers already sent by (output started at /home/organich/www/www/wp-content/plugins/dc-woocommerce-multi-vendor/includes/wcmp-core-functions.php:324) in /home/organich/www/www/wp-admin/includes/misc.php on line 1196

    Warning: Cannot modify header information – headers already sent by (output started at /home/organich/www/www/wp-content/plugins/dc-woocommerce-multi-vendor/includes/wcmp-core-functions.php:324) in /home/organich/www/www/wp-includes/option.php on line 947

    Warning: Cannot modify header information – headers already sent by (output started at /home/organich/www/www/wp-content/plugins/dc-woocommerce-multi-vendor/includes/wcmp-core-functions.php:324) in /home/organich/www/www/wp-includes/option.php on line 948

    Anyone help? THANKS

    As you can read, this are just warnings, not errors.
    You can switch off the warnings in PHP log (how to do it, please use Google).

    • This reply was modified 1 year, 6 months ago by The Coder.

    I cannot add any new language, it show the error “The link you followed has expired.” and nothing showed at the used language.
    The modules of language setting just have 2 items “Tools” and “License keys”

    Thread Starter hungpham

    (@hungpham)

    @codestylist As you can read, this will throw an Error in a future version of PHP!

    Plugin Author Chouby

    (@chouby)

    Hello,

    It looks like this error is not in Polylang but in another plugin. Maybe you did not open your topic in the right support forum.

    I have the same problem: Use of undefined constant ICL_LANGUAGE_CODE – assumed ‘ICL_LANGUAGE_CODE’ . In 5.3.1. version.

    May Mei

    (@maybhuangsilp)

    Hi Support Team,
    Does this issue fix?
    Please kindly advise urgently.

    Plugin Author Chouby

    (@chouby)

    Same answer. This error doesn’t come from Polylang. It comes from the multilingual compatibility in a 3rd party theme/plugin.

    According to the most complete error message, the error occurs in plugins/dc-woocommerce-multi-vendor/includes/wcmp-core-functions.php on line 324. But it’s not impossible that other themes/plugins have the same error.

    If you don’t know where it comes from, switch your theme to Twenty Nineteen and deactivate all plugins except Polylang. Then activate your theme and all your plugins one by one until you reproduce the error.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘undefined constant’ is closed to new replies.